%define eclipse_base     %{_libdir}/eclipse
%define eclipse_dropin   %{_datadir}/eclipse/dropins

Name:      eclipse-dtp
Version:   1.6.2
Release:   2%{?dist}
Summary:   Eclipse Data Tools Platform
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/datatools/

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-dtp.sh
Source0:   dtp-%{version}.tar.gz
Source1:   get-dtp.sh
# List of cvs location to fetch sources.
Source2:   directory.txt
Patch0:    %{name}-java6.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    java-devel 
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:3.4.1
BuildRequires:    eclipse-emf
BuildRequires:    eclipse-gef
BuildRequires:    wsdl4j >= 1.5.2-5.5
BuildRequires:    xerces-j2 >= 2.7.1-10.3
BuildRequires:    xml-commons-resolver >= 1.1-2.15
BuildRequires:    xalan-j2 >= 2.7.0-7.5
BuildRequires:    xml-commons-apis >= 1.3.04-1.4

Requires:         java 
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:3.4.1
Requires:         eclipse-emf
Requires:         eclipse-gef
Requires:         wsdl4j >= 1.5.2-5.5
Requires:         xerces-j2 >= 2.7.1-10.3
Requires:         xml-commons-resolver >= 1.1-2.15
Requires:         xalan-j2 >= 2.7.0-7.5
Requires:         xml-commons-apis >= 1.3.04-1.4

%description
The Eclipse Data Tools Platform provides extensible frameworks and exemplary 
tools, enabling a diverse set of plug-in offerings specific to particular 
data-centric technologies and supported by the DTP ecosystem.

%prep
%setup -q -n dtp-%{version}
%patch0

# remove unneeded import on sun.misc.Compare which broke compilation on non-Sun jvm
sed -i 's/import sun\.misc\.Compare;/ /' \
 org.eclipse.datatools.connectivity/src/org/eclipse/datatools/connectivity/drivers/models/OverrideTemplateDescriptor.java
# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/xerces-j2.jar org.apache.xerces_2.9.0.jar
ln -s %{_javadir}/xalan-j2-serializer.jar org.apache.xml.serializer_2.7.1.jar
ln -s %{_javadir}/xml-commons-resolver.jar org.apache.xml.resolver_1.2.0.jar
ln -s %{_javadir}/xml-commons-apis.jar javax.xml_1.3.4.jar
ln -s %{_javadir}/wsdl4j.jar javax.wsdl_1.5.0.jar
popd

%build
# build a subset of the features until dependencies and build issues are fixed
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.datatools.modelbase.feature \
  -d "emf gef" -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.datatools.connectivity.feature \
  -d "emf gef" -o `pwd`/orbitDeps 
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.datatools.enablement.oda.feature \
  -d "emf gef" -o `pwd`/orbitDeps


%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -d %{buildroot}%{eclipse_dropin}/dtp-modelbase build/rpmBuild/org.eclipse.datatools.modelbase.feature.zip
unzip -q -d %{buildroot}%{eclipse_dropin}/dtp-connectivity build/rpmBuild/org.eclipse.datatools.connectivity.feature.zip
unzip -q -d %{buildroot}%{eclipse_dropin}/dtp-enablement-oda build/rpmBuild/org.eclipse.datatools.enablement.oda.feature.zip

# use system bundles
pushd %{buildroot}%{eclipse_dropin}/dtp-enablement-oda/eclipse/plugins
rm -fr org.apache.xerces_*.jar
ln -s ../../../../../java/xerces-j2.jar org.apache.xerces_2.9.0.jar
rm -fr org.apache.xml.serializer_*.jar
ln -s ../../../../../java/xalan-j2-serializer.jar org.apache.xml.serializer_2.7.1.jar
rm -fr org.apache.xml.resolver_*.jar
ln -s ../../../../../java/xml-commons-resolver.jar org.apache.xml.resolver_1.2.0.jar
rm -fr javax.xml_*.jar
ln -s ../../../../../java/xml-commons-apis.jar javax.xml_1.3.4.jar
rm -fr javax.wsdl_*.jar
ln -s ../../../../../java/wsdl4j.jar javax.wsdl_1.5.0.jar
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{eclipse_dropin}/dtp-modelbase
%{eclipse_dropin}/dtp-connectivity
%{eclipse_dropin}/dtp-enablement-oda
%doc org.eclipse.datatools.enablement.oda.feature/license.html

%changelog
* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.6.2-2
- Rebuild to not ship p2 context.xml.

* Fri Feb 27 2009 Alexander Kurtakov <akurtako@redhat.com> 1.6.2-1
- Update to 1.6.2.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Alexander Kurtakov <akurtako@redhat.com> 1.6.1-3
- Add patch to fix build with java 6.

* Wed Feb 11 2009 Alexander Kurtakov <akurtako@redhat.com> 1.6.1-2
- Set rt.jar to the build.
- Do not own dropins folder.
- Added comments about builded features and fixes.

* Wed Feb 9 2009 Alexander Kurtakov <akurtako@redhat.com> 1.6.1-1
- Initial package.
