#!/bin/bash
NAME="dtp"
VERSION=1.6.2

echo "Exporting from CVS..."
rm -fr $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

MAPFILE=../directory.txt
TEMPMAPFILE=temp.map
grep ^[a-z] $MAPFILE > $TEMPMAPFILE

gawk 'BEGIN {
	FS=","
}
{
if (NF <  4) {

	split($1, version, "=");
	split(version[1], directory, "@");
	cvsdir=split($2, dirName, ":");
	printf("%s %s %s%s %s %s %s %s %s %s %s\n", "cvs", "-d", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q", "export", "-r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
}
else {

	split($1, version, "=");
	total=split($4, directory, "/");
	cvsdir=split($2, dirName, ":");
	#printf("%s\n", total);
	#printf("%s\n", version[2]);
	#printf("%s\n", directory[total]);
	#printf("%s\n", $4);
	printf("%s%s %s %s %s %s %s\n ", "cvs -d :pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[total], $4) | "/bin/bash";
}

}' $TEMPMAPFILE

rm $TEMPMAPFILE
popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
